TikTok Ad Library Ad Library Search API

Search TikTok's public Ads Library by general query or advertiser name.

1 creditper request
GET
/v1/tiktok/ad-library/search
curl "https://api.scrapecreators.com/v1/tiktok/ad-library/search" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 100,
  "credits_charged": 1,
  "source": "tiktok_public_ads_library",
  "advertiser_name": "Gymshark",
  "resolved_advertiser_name": "GYMSHARK LTD",
  "advertiser_matches": [
    {
      "name": "GYMSHARK LTD",
      "ids": "7078923208527618049"
    }
  ],
  "ads": [
    {
      "id": "1871655924410641",
      "url": "https://library.tiktok.com/ads/detail/?ad_id=1871655924410641",
      "name": "GYMSHARK LTD",
      "audit_status": "1",
      "type": "2",
      "first_shown_date": 1784937600000,
      "last_shown_date": 1785024000000,
      "videos": [
        {
          "video_url": "https://library.tiktok.com/api/v1/cdn/...",
          "cover_img": "https://p16-common-sign.tiktokcdn.com/..."
        }
      ],
      "estimated_audience": "1K-10K",
      "spent": "",
      "impression": 0,
      "show_mode": 1,
      "image_urls": [],
      "rejection_info": null,
      "sor_audit_status": "1"
    }
  ],
  "total": 62344,
  "has_more": true,
  "cursor": "opaque cursor for the next page"
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

query
string

General ad search. Provide either query or advertiser_name, not both.

Example:
The Creator Loop
advertiser_name
string

Advertiser name to resolve through TikTok's typeahead and search by advertiser entity. Falls back to TikTok's name search when no entity matches. Provide either advertiser_name or query, not both.

Example:
Gymshark
cursor
string

Opaque cursor returned from the previous response.

Example:
cursor from previous response

Response Field Explanations

ads[].url
Public TikTok Ads Library detail page for the ad.